List pipeline fields
Returns opportunity field definitions for a pipeline, including system fields and custom fields.
GET
/
v1
/
pipelines
/
{pipeline_id}
/
fields
List pipeline fields
curl --request GET \
--url https://api.octolane.com/v1/pipelines/{pipeline_id}/fields \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octolane.com/v1/pipelines/{pipeline_id}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octolane.com/v1/pipelines/{pipeline_id}/fields")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octolane.com/v1/pipelines/{pipeline_id}/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"fields": [
{
"property_name": "customer_tier_123",
"current_name": "Customer Tier",
"attribute_type": "string",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_name": "Customer Tier",
"entity_type": "company",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_editable": true,
"is_hidden": true,
"is_system": true,
"attribute_order": 123,
"metadata": {}
}
]
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}Authorizations
Personal API key. Requests act as the workspace member who created the key, with that member's current access, and stop working when the key is disabled or its creator leaves the workspace.
Path Parameters
Pipeline ID.
Was this page helpful?
⌘I
List pipeline fields
curl --request GET \
--url https://api.octolane.com/v1/pipelines/{pipeline_id}/fields \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octolane.com/v1/pipelines/{pipeline_id}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octolane.com/v1/pipelines/{pipeline_id}/fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octolane.com/v1/pipelines/{pipeline_id}/fields")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octolane.com/v1/pipelines/{pipeline_id}/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"fields": [
{
"property_name": "customer_tier_123",
"current_name": "Customer Tier",
"attribute_type": "string",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_name": "Customer Tier",
"entity_type": "company",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_editable": true,
"is_hidden": true,
"is_system": true,
"attribute_order": 123,
"metadata": {}
}
]
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}